Subject: Re: [PATCH 10/11][TG3]: Reduce spurious interrupts.

From: "Michael Chan" <[email-masked]>
Date: Mon, 07 May 2007 11:41:17 -0700

On Mon, 2007-05-07 at 10:44 -0700, Rick Jones wrote:
> 
> Mostly I was thinking that not all PIO reads are the same "length" and so the 
> effect of the PIO read will vary, perhaps considerably, with the platform, 
> particularly for a very large NUMA platform.
> 

Oh I see.  If the PIO read is "long" on the platform, the performance
impact will be bigger.  But it probably also means that it takes longer
for the write to get to the chip to de-assert the IRQ.  Without the
read, it is therefore more likely to get an extra interrupt in such a
case.